/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.getSymbol("C1").play("inicio");
         sym.stop();
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4500, function(sym, e) {
         sym.getSymbol("C2").play("inicio");
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.getSymbol("C3").play("inicio");
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7500, function(sym, e) {
         sym.getSymbol("C4").play("inicio");
         sym.stop();

      });
      //Edge binding end

   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'bt_vocal_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("down");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").play("c3");

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("up");
         

      });
         //Edge binding end

      })("bt_combinacion");
   //Edge symbol end:'bt_combinacion'

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_consonante'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("down");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").play("c2");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_consonante");
   //Edge symbol end:'bt_consonante'

   //=========================================================
   
   //Edge symbol: 'bt_vocal_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("down");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").play("c4");

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("up");
         

      });
         //Edge binding end

      })("bt_palabra");
   //Edge symbol end:'bt_palabra'

   //=========================================================
   
   //Edge symbol: 'bt_consonante_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("down");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").play("c1");
         
         
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ir a una etiqueta o a un momento específicos y parar. Por ejemplo:
         // sym.stop(500); o sym.stop("miEtiqueta");
         sym.stop("up");
         

      });
         //Edge binding end

      })("bt_vocal");
   //Edge symbol end:'bt_vocal'

   //=========================================================
   
   //Edge symbol: 'C1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_vocal").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_consonante").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_combinacion").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_palabra").stop("up");
         sym.getSymbol("bt_cerrar").stop("up");

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("C1");
   //Edge symbol end:'C1'

   //=========================================================
   
   //Edge symbol: 'C1_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_vocal").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_consonante").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_combinacion").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_palabra").stop("up");
         sym.getSymbol("bt_cerrar").stop("up");
         

      });
      //Edge binding end

   })("C2");
   //Edge symbol end:'C2'

   //=========================================================
   
   //Edge symbol: 'C2_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_vocal").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_consonante").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_combinacion").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_palabra").stop("up");
         sym.getSymbol("bt_cerrar").stop("up");
         

      });
      //Edge binding end

   })("C3");
   //Edge symbol end:'C3'

   //=========================================================
   
   //Edge symbol: 'C3_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").stop("home");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_vocal").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_consonante").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_combinacion").stop("up");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("bg_defecto").getSymbol("bt_palabra").stop("up");
         sym.getSymbol("bt_cerrar").stop("up");
         

      });
      //Edge binding end

   })("C4");
   //Edge symbol end:'C4'

})(jQuery, AdobeEdge, "EDGE-5531445");